#! /bin/sh
#
#  select_keymap.sh

while :
do
    # If you add keymaps to ...filesystem/etc/i18n also add the
    # corresponding keymap in config_new.sh
dialog --no-collapse --menu '
    If you have a keyboard other than US choose a keymap below,
    otherwise select Cancle

' 12 70 3 `ls /etc/i18n | grep -n . | sed -e 's/:/ /'` 2>/tmp/dialog.ipt

    keymap_num=`cat /tmp/dialog.ipt`
    if [ ! -z "$keymap_num" ]; then
        keymap=`ls /etc/i18n | grep -n '.' | grep "^${keymap_num}:" | cut -d: -f2`
	echo "Selected keymap <${keymap}>" >> $i_log
        if [ -r /etc/i18n/${keymap} ]; then
            /sbin/loadkmap < /etc/i18n/${keymap}
            echo "keymap <${keymap}> loaded" >> $i_log
            #     echo "You can try your keys now, continue with ENTER"
            #     read x
	    break
        else
            echo "Unknown keymap <${keymap}>, try again" | tee -a $i_log
	    echo "Hit ENTER"; read x
    	continue
        fi
    else
	echo 'Using us keymap' >> $i_log
	break
    fi
done
export keymap
