#! /bin/sh
#
#  mk_bootfloppy.sh

if [ "$version" = '3' ]; then
    echo Creating boot-floppy
    /sbin/mkbootdisk --verbose --device /dev/fd0 ${ik_version}
else if [ "$version" = '4' || "$version" = '5' ]; then
dialog --no-cancel --no-collapse --msgbox "
    Kernel + initrd from FC${version} don't fit on a
    1440-floppy - sorry.

    If you cannot manage to make your new system bootable,
    preferable by installing grub you can use any available
    rescue-floppy to boot.

    Even the slinky install floppy may fit if you specify the
    root-device at its lilo-prompt.  Try the following:

    linux root=${ROOT_DEV} ro  or  linux root=${ROOT_DEV} ro single
"  18 70
fi
